<template>
  <header class="header">
        <div class="container">
            <div class="card header__wrapper">
                <div class="header__caption">
                    <p class="header__subtitle">vue-project</p>
                    <h1 class="header__title">Order-system</h1>
                </div>
                <div class="header__functions">
                    <label class="header__function">Темная тема
                        <SwitchButton @handle="switchTheme" />
                    </label>
                </div>
            </div>
        </div>
    </header>
</template>

<script>
import SwitchButton from './Buttons/SwitchButton';

export default {
    components: {
        SwitchButton
    },
    methods: {
        switchTheme() {
            document.body.classList.toggle('dark');
        }
    }
}
</script>

<style>

</style>